[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.poetry]
name = "testing_dependencies"
version = "0.1.0"

[tool.poetry.dependencies]
python = "~3.9"
uvicorn = { extras = ["standard"], version = "^0.20.0" }
python-dotenv = "^0.21.0"

[tool.poetry.group.test]
optional = true

[tool.poetry.group.test.dependencies]
pytest = "^7.2.0"

[tool.poetry.group.lint]
optional = true

[tool.poetry.group.lint.dependencies]
flake8 = "^6.0.0"

[tool.pytest.ini_options]
filterwarnings = ["error::UserWarning"]

[tool.isort]
profile = "black"
skip = "scripts/vendor"
